Index: /code/branches/doc/src/libraries/core/BaseObject.cc
===================================================================
--- /code/branches/doc/src/libraries/core/BaseObject.cc	(revision 7296)
+++ /code/branches/doc/src/libraries/core/BaseObject.cc	(revision 7297)
@@ -116,5 +116,5 @@
         @brief XML loading and saving.
         @param xmlelement The XML-element
-        @param loading Loading (true) or saving (false)
+        @param mode The mode defines the operation that is being executed: loading or saving the object (from or to XML respectively)
     */
     void BaseObject::XMLPort(Element& xmlelement, XMLPort::Mode mode)
@@ -141,5 +141,5 @@
         @brief Defines the possible event states of this object and parses eventsources from an XML file.
         @param xmlelement The XML-element
-        @param loading Loading (true) or saving (false)
+        @param mode The mode defines the operation that is being executed: loading or saving the object (from or to XML respectively)
     */
     void BaseObject::XMLEventPort(Element& xmlelement, XMLPort::Mode mode)
Index: /code/branches/doc/src/libraries/core/CommandLineParser.cc
===================================================================
--- /code/branches/doc/src/libraries/core/CommandLineParser.cc	(revision 7296)
+++ /code/branches/doc/src/libraries/core/CommandLineParser.cc	(revision 7297)
@@ -126,4 +126,6 @@
     @param arguments
         Vector of space separated strings.
+    @param bParsingFile
+        FIXME - add doc!
     */
     void CommandLineParser::_parse(const std::vector<std::string>& arguments, bool bParsingFile)
@@ -244,4 +246,6 @@
     @param value
         String containing the value
+    @param bParsingFile
+        FIXME - add doc!
     */
     void CommandLineParser::checkFullArgument(const std::string& name, const std::string& value, bool bParsingFile)
@@ -261,4 +265,6 @@
     @param value
         String containing the value
+    @param bParsingFile
+        FIXME - add doc!
     */
     void CommandLineParser::checkShortcut(const std::string& shortcut, const std::string& value, bool bParsingFile)
Index: /code/branches/doc/src/libraries/core/CommandLineParser.h
===================================================================
--- /code/branches/doc/src/libraries/core/CommandLineParser.h	(revision 7296)
+++ /code/branches/doc/src/libraries/core/CommandLineParser.h	(revision 7297)
@@ -207,4 +207,6 @@
     @param defaultValue
         Default value that is used when argument was not given.
+    @param bCommandLineOnly
+        FIXME - add doc!
     */
     template <class T>
Index: /code/branches/doc/src/libraries/core/ConfigValueContainer.h
===================================================================
--- /code/branches/doc/src/libraries/core/ConfigValueContainer.h	(revision 7296)
+++ /code/branches/doc/src/libraries/core/ConfigValueContainer.h	(revision 7297)
@@ -117,6 +117,8 @@
                 @param type The type of the corresponding config-file
                 @param identifier The identifier of the class the variable belongs to
+                @param sectionname Name of the section the configValue should be put in.
                 @param varname The name of the variable
                 @param defvalue The default-value
+                @param value Only needed do determine the right type.
             */
             template <class D, class V>
Index: /code/branches/doc/src/libraries/core/CoreIncludes.h
===================================================================
--- /code/branches/doc/src/libraries/core/CoreIncludes.h	(revision 7296)
+++ /code/branches/doc/src/libraries/core/CoreIncludes.h	(revision 7297)
@@ -101,5 +101,5 @@
     /**
         @brief Returns the Identifier with a given name.
-        @param String The name of the class
+        @param name The name of the class
     */
     inline Identifier* ClassByString(const std::string& name)
@@ -110,5 +110,5 @@
     /**
         @brief Returns the Identifier with a given lowercase name.
-        @param String The lowercase name of the class
+        @param name The lowercase name of the class
     */
     inline Identifier* ClassByLowercaseString(const std::string& name)
@@ -119,5 +119,5 @@
     /**
         @brief Returns the Identifier with a given network ID.
-        @param networkID The network ID of the class
+        @param id The network ID of the class
     */
     inline Identifier* ClassByID(uint32_t id)
@@ -130,5 +130,5 @@
         @note This of course only works with OrxonoxClasses.
               The only use is in conjunction with macros that don't know the class type.
-        @param Pointer to an OrxonoxClass
+        @param object Pointer to an OrxonoxClass
     */
     template <class T>
Index: /code/branches/doc/src/libraries/core/DynLibManager.h
===================================================================
--- /code/branches/doc/src/libraries/core/DynLibManager.h	(revision 7296)
+++ /code/branches/doc/src/libraries/core/DynLibManager.h	(revision 7297)
@@ -56,28 +56,36 @@
 
         public:
-            /** Default constructor.
-                @note
-                    <br>Should never be called as the singleton is automatically
-                    created during the creation of the Root object.
-                @see
-                    Root::Root
+            /**
+            @brief
+                Default constructor.
+            @note
+                Should never be called as the singleton is automatically
+                created during the creation of the Root object.
+            @see
+                Root::Root
             */
             DynLibManager();
 
-            /** Default destructor.
-                @see
-                    Root::~Root
+            /**
+            @brief
+                Default destructor.
+            @see
+                Root::~Root
             */
             virtual ~DynLibManager();
 
-            /** Loads the passed library.
-                @param
-                    filename The name of the library. The extension can be omitted
+            /**
+            @brief
+                Loads the passed library.
+            @param filename
+                The name of the library. The extension can be omitted
             */
             DynLib* load(const std::string& filename);
 
-            /** Unloads the passed library.
-            @param
-            filename The name of the library. The extension can be omitted
+            /**
+            @brief
+                Unloads the passed library.
+            @param lib
+                A pointer to the library object
             */
             void unload(DynLib* lib);
Index: /code/branches/doc/src/libraries/core/GUIManager.cc
===================================================================
--- /code/branches/doc/src/libraries/core/GUIManager.cc	(revision 7296)
+++ /code/branches/doc/src/libraries/core/GUIManager.cc	(revision 7297)
@@ -110,6 +110,4 @@
         After Lua setup tolua++-elements are linked to Lua-state to give Lua access to C++-code.
         Finally initial Lua code is executed (maybe we can do this with the CEGUI startup script automatically).
-    @param renderWindow
-        Ogre's render window. Without this, the GUI cannot be displayed.
     @return true if success, otherwise false
     */
@@ -237,4 +235,6 @@
     @param name
         The name of the GUI
+    @param bHidePrevious
+        FIXME - add doc!
 
         The function executes the Lua function with the same name in case the GUIManager is ready.
Index: /code/branches/doc/src/libraries/core/Identifier.h
===================================================================
--- /code/branches/doc/src/libraries/core/Identifier.h	(revision 7296)
+++ /code/branches/doc/src/libraries/core/Identifier.h	(revision 7297)
@@ -387,4 +387,6 @@
         @brief Adds an object of the given type to the ObjectList.
         @param object The object to add
+        @param className The name of the class T
+        @param bRootClass True if this is a root class (i.e. it inherits directly from OrxonoxClass)
     */
     template <class T>
Index: /code/branches/doc/src/libraries/core/Language.cc
===================================================================
--- /code/branches/doc/src/libraries/core/Language.cc	(revision 7296)
+++ /code/branches/doc/src/libraries/core/Language.cc	(revision 7297)
@@ -168,4 +168,5 @@
         @brief Returns the localisation of a given entry.
         @param label The label of the entry
+        @param bError If true, an error is printed if the label doesn't exist and the default localisation is returned. If false, no error is printed and an empty string is returned.
         @return The localisation
     */
Index: /code/branches/doc/src/libraries/core/Namespace.cc
===================================================================
--- /code/branches/doc/src/libraries/core/Namespace.cc	(revision 7296)
+++ /code/branches/doc/src/libraries/core/Namespace.cc	(revision 7297)
@@ -55,10 +55,4 @@
     }
 
-    /**
-        @brief XML loading and saving.
-        @param xmlelement The XML-element
-        @param loading Loading (true) or saving (false)
-        @return The XML-element
-    */
     void Namespace::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
Index: /code/branches/doc/src/libraries/core/ObjectListBase.cc
===================================================================
--- /code/branches/doc/src/libraries/core/ObjectListBase.cc	(revision 7296)
+++ /code/branches/doc/src/libraries/core/ObjectListBase.cc	(revision 7297)
@@ -70,5 +70,5 @@
     /**
         @brief Increases all Iterators that currently point on the given element (because it gets removed).
-        @param element The element that gets removed
+        @param object The object that gets removed
     */
     void ObjectListBase::notifyIterators(OrxonoxClass* object) const
@@ -82,5 +82,5 @@
     /**
         @brief Adds a new object to the end of the list.
-        @param object The object to add
+        @param element The element to add
         @return The pointer to the new ObjectListBaseElement, needed by the MetaObjectList of the added object
     */
Index: /code/branches/doc/src/libraries/core/ObjectListBase.h
===================================================================
--- /code/branches/doc/src/libraries/core/ObjectListBase.h	(revision 7296)
+++ /code/branches/doc/src/libraries/core/ObjectListBase.h	(revision 7297)
@@ -54,5 +54,5 @@
             /**
                 @brief Constructor: Creates the list-element with an object.
-                @param object The object to store
+                @param objectBase The object to store
             */
             ObjectListBaseElement(OrxonoxClass* objectBase) : next_(0), prev_(0), objectBase_(objectBase) {}
Index: /code/branches/doc/src/libraries/core/ObjectListIterator.h
===================================================================
--- /code/branches/doc/src/libraries/core/ObjectListIterator.h	(revision 7296)
+++ /code/branches/doc/src/libraries/core/ObjectListIterator.h	(revision 7297)
@@ -109,5 +109,5 @@
             /**
                 @brief Assigns the element of another ObjectListIterator.
-                @param element The other ObjectListIterator
+                @param other The other ObjectListIterator
             */
             inline ObjectListIterator<T>& operator=(const ObjectListIterator<T>& other)
Index: /code/branches/doc/src/libraries/core/Resource.h
===================================================================
--- /code/branches/doc/src/libraries/core/Resource.h	(revision 7296)
+++ /code/branches/doc/src/libraries/core/Resource.h	(revision 7297)
@@ -105,5 +105,5 @@
         /**
             Find out if the named file exists.
-        @param filename
+        @param name
             Fully qualified name of the file to test for
         */
@@ -112,5 +112,5 @@
         /**
             Get struct with information about path and size.
-        @param filename
+        @param name
             Fully qualified name of the file to test for
         */
Index: /code/branches/doc/src/libraries/core/XMLPort.h
===================================================================
--- /code/branches/doc/src/libraries/core/XMLPort.h	(revision 7296)
+++ /code/branches/doc/src/libraries/core/XMLPort.h	(revision 7297)
@@ -148,5 +148,7 @@
     @param paramname The name of the attribute
     @param loadfunction The function to set the attribute inside of the member object.
-    @param loadfunction The function to get the attribute from the member object
+    @param savefunction The function to get the attribute from the member object
+    @param xmlelement The XML-element that is parsed by this macro
+    @param mode Loading or saving
 
     Sometimes you'll have a member object in your class, which has it's own load- and savefunctions.
@@ -196,5 +198,5 @@
     @param sectionname The name of the subsection in the XML file that encloses the sub-objects ("" means no subsection)
     @param loadfunction The function to add a new object to the class
-    @param loadfunction The function to get all added objects from the class
+    @param savefunction The function to get all added objects from the class
     @param xmlelement The XMLElement (received through the XMLPort function)
     @param mode The mode (load/save) (received through the XMLPort function)
Index: /code/branches/doc/src/libraries/core/command/TclThreadList.h
===================================================================
--- /code/branches/doc/src/libraries/core/command/TclThreadList.h	(revision 7296)
+++ /code/branches/doc/src/libraries/core/command/TclThreadList.h	(revision 7297)
@@ -71,5 +71,5 @@
 
             /**
-                @brief Returns a reference to the mutex which might be useful if you want to iterate through the list (see @ref begin and @ref end).
+                @brief Returns a reference to the mutex which might be useful if you want to iterate through the list (see @ref getList()).
             */
             inline boost::shared_mutex& getMutex() const
Index: /code/branches/doc/src/libraries/core/command/TclThreadManager.cc
===================================================================
--- /code/branches/doc/src/libraries/core/command/TclThreadManager.cc	(revision 7296)
+++ /code/branches/doc/src/libraries/core/command/TclThreadManager.cc	(revision 7297)
@@ -303,5 +303,5 @@
     /**
         @brief Sends a command to the queue of a given Tcl-interpreter
-        @param id The id of the target interpreter
+        @param target_id The id of the target interpreter
         @param command The command to be sent
     */
@@ -326,4 +326,5 @@
         @brief This function can be called from Tcl to send a command to the queue of any interpreter.
         @param target_id The id of the target thread
+        @param args Contains the content of the command
     */
     void TclThreadManager::tcl_crossexecute(int target_id, const Tcl::object& args)
@@ -334,5 +335,5 @@
     /**
         @brief Sends a command to the queue of a given Tcl-interpreter
-        @param id The id of the target interpreter
+        @param target_id The id of the target interpreter
         @param command The command to be sent
     */
@@ -347,5 +348,5 @@
     /**
         @brief Sends a query to a given Tcl-interpreter and waits for the result
-        @param id The id of the target interpreter
+        @param target_id The id of the target interpreter
         @param command The command to be sent
         @return The result of the command
@@ -359,4 +360,5 @@
         @brief This function can be called from Tcl to send a query to the main thread.
         @param source_id The id of the calling thread
+        @param args Contains the content of the query
 
         A query waits for the result of the command. This means, the calling thread will be blocked until
@@ -373,4 +375,5 @@
         @param source_id The id of the calling thread
         @param target_id The id of the target thread
+        @param args Contains the content of the query
     */
     std::string TclThreadManager::tcl_crossquery(int source_id, int target_id, const Tcl::object& args)
Index: /code/branches/doc/src/libraries/core/input/InputManager.cc
===================================================================
--- /code/branches/doc/src/libraries/core/input/InputManager.cc	(revision 7296)
+++ /code/branches/doc/src/libraries/core/input/InputManager.cc	(revision 7297)
@@ -140,8 +140,4 @@
         Creates the OIS::InputMananger, the keyboard, the mouse and
         the joys ticks. If either of the first two fail, this method throws an exception.
-    @param windowWidth
-        The width of the render window
-    @param windowHeight
-        The height of the render window
     */
     void InputManager::loadDevices()
Index: /code/branches/doc/src/libraries/core/input/InputManager.h
===================================================================
--- /code/branches/doc/src/libraries/core/input/InputManager.h	(revision 7296)
+++ /code/branches/doc/src/libraries/core/input/InputManager.h	(revision 7297)
@@ -122,4 +122,8 @@
         @param name
             Unique name of the InputState when referenced as string
+        @param bAlwaysGetsInput
+            FIXME - add doc!
+        @param bTransparent
+            FIXME - add doc!
         @param priority
             Priority matters when multiple states are active. You can specify any
Index: /code/branches/doc/src/libraries/core/input/KeyBinder.cc
===================================================================
--- /code/branches/doc/src/libraries/core/input/KeyBinder.cc	(revision 7296)
+++ /code/branches/doc/src/libraries/core/input/KeyBinder.cc	(revision 7297)
@@ -495,6 +495,10 @@
     @brief
         Event handler for the mouseMoved Event.
-    @param e
-        Mouse state information
+    @param abs_
+        The absolute position of the mouse
+    @param rel_
+        The relative movement of the mouse
+    @param clippingSize
+        FIXME - no doc? param not even used?
     */
     void KeyBinder::mouseMoved(IntVector2 abs_, IntVector2 rel_, IntVector2 clippingSize)
@@ -551,5 +555,6 @@
     /**
     @brief Event handler for the mouseScrolled Event.
-    @param e Mouse state information
+    @param abs The absolute position of the scroll wheel
+    @param rel The relative movement of the scroll wheel
     */
     void KeyBinder::mouseScrolled(int abs, int rel)
Index: /code/branches/doc/src/libraries/network/ClientInformation.cc
===================================================================
--- /code/branches/doc/src/libraries/network/ClientInformation.cc	(revision 7296)
+++ /code/branches/doc/src/libraries/network/ClientInformation.cc	(revision 7297)
@@ -230,4 +230,5 @@
   * This function should only be applied to the head of the list
   * @param clientID id to look for
+  * @param look_backwards FIXME - add doc? parameter unused?
   * @return pointer to the last element in the list or 0 if the search was unsuccessfull
   */
@@ -244,5 +245,6 @@
   * This function goes forward through the list and looks for an element with clientID
   * This function should only be applied to the head of the list
-  * @param peer peer to look for
+  * @param address peer to look for
+  * @param look_backwards FIXME - add doc? parameter unused?
   * @return pointer to the element in the list
   */
Index: /code/branches/doc/src/libraries/network/synchronisable/Synchronisable.cc
===================================================================
--- /code/branches/doc/src/libraries/network/synchronisable/Synchronisable.cc	(revision 7296)
+++ /code/branches/doc/src/libraries/network/synchronisable/Synchronisable.cc	(revision 7297)
@@ -217,4 +217,5 @@
    * length of varx: size saved int syncvarlist
    * @param mem pointer to allocated memory with enough size
+   * @param sizes FIXME - add doc!
    * @param id gamestateid of the gamestate to be saved (important for priorities)
    * @param mode defines the direction in which the data will be send/received
@@ -288,4 +289,5 @@
    * @param mem pointer to the bytestream
    * @param mode same as in getData
+   * @param forceCallback FIXME - add doc!
    * @return true/false
    */
@@ -364,4 +366,5 @@
    * This function determines, wheter the object should be saved to the bytestream (according to its syncmode/direction)
    * @param id gamestate id
+   * @param mode FIXME - add doc!
    * @return true/false
    */
Index: /code/branches/doc/src/libraries/tools/ResourceCollection.cc
===================================================================
--- /code/branches/doc/src/libraries/tools/ResourceCollection.cc	(revision 7296)
+++ /code/branches/doc/src/libraries/tools/ResourceCollection.cc	(revision 7297)
@@ -52,8 +52,8 @@
     }
 
-    void ResourceCollection::XMLPort(Element& xmlElement, XMLPort::Mode mode)
+    void ResourceCollection::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-        XMLPortParam(ResourceCollection, "resourceGroup", setResourceGroup, getResourceGroup, xmlElement, mode);
-        XMLPortObject(ResourceCollection, ResourceLocation, "", addResourceLocation, getResourceLocation, xmlElement, mode);
+        XMLPortParam(ResourceCollection, "resourceGroup", setResourceGroup, getResourceGroup, xmlelement, mode);
+        XMLPortObject(ResourceCollection, ResourceLocation, "", addResourceLocation, getResourceLocation, xmlelement, mode);
     }
 
Index: /code/branches/doc/src/libraries/tools/ResourceCollection.h
===================================================================
--- /code/branches/doc/src/libraries/tools/ResourceCollection.h	(revision 7296)
+++ /code/branches/doc/src/libraries/tools/ResourceCollection.h	(revision 7297)
@@ -44,5 +44,5 @@
         virtual ~ResourceCollection();
 
-        virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
         void setResourceGroup(const std::string& resourceGroup);
Index: /code/branches/doc/src/libraries/tools/ResourceLocation.cc
===================================================================
--- /code/branches/doc/src/libraries/tools/ResourceLocation.cc	(revision 7296)
+++ /code/branches/doc/src/libraries/tools/ResourceLocation.cc	(revision 7297)
@@ -56,9 +56,9 @@
     }
 
-    void ResourceLocation::XMLPort(Element& xmlElement, XMLPort::Mode mode)
+    void ResourceLocation::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-        XMLPortParam(ResourceLocation, "path",        setPath,        getPath,        xmlElement, mode);
-        XMLPortParam(ResourceLocation, "archiveType", setArchiveType, getArchiveType, xmlElement, mode);
-        XMLPortParam(ResourceLocation, "recursive",   setRecursive,   getRecursive,   xmlElement, mode);
+        XMLPortParam(ResourceLocation, "path",        setPath,        getPath,        xmlelement, mode);
+        XMLPortParam(ResourceLocation, "archiveType", setArchiveType, getArchiveType, xmlelement, mode);
+        XMLPortParam(ResourceLocation, "recursive",   setRecursive,   getRecursive,   xmlelement, mode);
         if (path_.empty())
             ThrowException(AbortLoading, "ResourceLocation: No path given.");
Index: /code/branches/doc/src/libraries/tools/ResourceLocation.h
===================================================================
--- /code/branches/doc/src/libraries/tools/ResourceLocation.h	(revision 7296)
+++ /code/branches/doc/src/libraries/tools/ResourceLocation.h	(revision 7297)
@@ -46,5 +46,5 @@
         virtual ~ResourceLocation();
 
-        virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
         void setPath(const std::string& path) { path_ = path; }
Index: /code/branches/doc/src/libraries/tools/Timer.cc
===================================================================
--- /code/branches/doc/src/libraries/tools/Timer.cc	(revision 7296)
+++ /code/branches/doc/src/libraries/tools/Timer.cc	(revision 7297)
@@ -95,5 +95,6 @@
         @param interval The timer-interval in seconds
         @param bLoop If true, the function gets called every 'interval' seconds
-        @param exeuctor A executor of the function to call
+        @param executor A executor of the function to call
+        @param bKillAfterCall If true, the timer will be deleted after the function was executed
     */
     Timer::Timer(float interval, bool bLoop, const ExecutorPtr& executor, bool bKillAfterCall)
Index: /code/branches/doc/src/libraries/tools/Timer.h
===================================================================
--- /code/branches/doc/src/libraries/tools/Timer.h	(revision 7296)
+++ /code/branches/doc/src/libraries/tools/Timer.h	(revision 7297)
@@ -85,6 +85,6 @@
                 @param interval The timer-interval in seconds
                 @param bLoop If true, the function gets called every 'interval' seconds
-                @param object The object owning the timer and the function
                 @param executor A executor of the function to call
+                @param bKillAfterCall If true, the timer will be deleted after the function was executed
             */
             void setTimer(float interval, bool bLoop, const ExecutorPtr& executor, bool bKillAfterCall = false)
Index: /code/branches/doc/src/libraries/util/Convert.h
===================================================================
--- /code/branches/doc/src/libraries/util/Convert.h	(revision 7296)
+++ /code/branches/doc/src/libraries/util/Convert.h	(revision 7297)
@@ -278,4 +278,8 @@
         For information about the different conversion methods (user defined too), see the section
         'Actual conversion sequence' in this file above.
+    @param output
+        A pointer to the variable where the converted value will be stored
+    @param input
+        The original value
     */
     template <class FromType, class ToType>
@@ -294,4 +298,8 @@
         'Actual conversion sequence' in this file above.
         If the conversion doesn't succeed, 'fallback' is written to '*output'.
+    @param output
+        A pointer to the variable where the converted value will be stored
+    @param input
+        The original value
     @param fallback
         A default value that gets written to '*output' if there is no conversion.
Index: /code/branches/doc/src/libraries/util/Exception.h
===================================================================
--- /code/branches/doc/src/libraries/util/Exception.h	(revision 7296)
+++ /code/branches/doc/src/libraries/util/Exception.h	(revision 7297)
@@ -60,4 +60,10 @@
         @param description
             Exception description as string. This message is supposed to help developers!
+        @param lineNumber
+            The number of the code-line in which the exception occurred
+        @param filename
+            The file in which the exception occurred
+        @param functionName
+            The function in which the exception occurred
         */
         Exception(const std::string& description, unsigned int lineNumber,
Index: /code/branches/doc/src/libraries/util/OutputHandler.cc
===================================================================
--- /code/branches/doc/src/libraries/util/OutputHandler.cc	(revision 7296)
+++ /code/branches/doc/src/libraries/util/OutputHandler.cc	(revision 7297)
@@ -67,7 +67,4 @@
         @brief
             Gets temporary log path and starts the log file
-        @param outputHandler
-            This is only required to avoid another call to getInstance (this c'tor was
-            called from getInstance!)
         */
         LogFileWriter()
@@ -162,7 +159,4 @@
         @brief
             Sets the right soft debug level and registers itself
-        @param outputHandler
-            This is only required to avoid another call to getInstance (this c'tor was
-            called from getInstance!)
         */
         MemoryLogWriter()
Index: /code/branches/doc/src/libraries/util/StringUtils.cc
===================================================================
--- /code/branches/doc/src/libraries/util/StringUtils.cc	(revision 7296)
+++ /code/branches/doc/src/libraries/util/StringUtils.cc	(revision 7297)
@@ -142,5 +142,5 @@
     /**
         @brief Returns true if the string contains something like '..."between quotes"...'.
-        @param The string
+        @param str The string
         @return True if there is something between quotes
     */
@@ -154,6 +154,5 @@
     /**
         @brief If the string contains something like '..."between quotes"...' then 'between quotes' gets returned (without quotes).
-        @param The string
-        @param The string between the quotes
+        @param str The string between the quotes
     */
     std::string getStringBetweenQuotes(const std::string& str)
@@ -169,5 +168,5 @@
     /**
         @brief Removes enclosing quotes if available (including whitespaces at the outside of the quotes).
-        @brief str The string to strip
+        @param str The string to strip
         @return The string with removed quotes
     */
Index: /code/branches/doc/src/libraries/util/SubString.cc
===================================================================
--- /code/branches/doc/src/libraries/util/SubString.cc	(revision 7296)
+++ /code/branches/doc/src/libraries/util/SubString.cc	(revision 7297)
@@ -62,12 +62,17 @@
 
     /**
-     * @brief Splits a String into multiple splitters.
-     * @param string the String to split
-     * @param delimiters multiple set of characters at what to split. (delimiters)
-     * @param delimiterNeighbours neighbours of the delimiters, that will be erased only when near a delimiter.
-     * @param emptyEntries If empty entries should be allewed or removed.
-     * @param escapeChar The Escape Character that overrides splitters commends and so on...
-     * @param safemode_char within these characters splitting won't happen
-     * @param comment_char the Comment character.
+     * @brief Splits a string into multiple tokens.
+     * @param string The string to split
+     * @param delimiters Multiple set of characters at what to split. (delimiters)
+     * @param delimiterNeighbours Neighbours of the delimiters that will be erased as well.
+     * @param emptyEntries If empty entries are added to the list of SubStrings
+     * @param escapeChar The escape character that overrides splitters commends and so on...
+     * @param removeEscapeChar If true, the escape char is removed from the tokens
+     * @param safemode_char Within these characters splitting won't happen
+     * @param removeSafemodeChar Removes the safemode_char from the beginning and the ending of a token
+     * @param openparenthesis_char The beginning of a safemode is marked with this
+     * @param closeparenthesis_char The ending of a safemode is marked with this
+     * @param removeParenthesisChars Removes the parenthesis from the beginning and the ending of a token
+     * @param comment_char The comment character.
      */
     SubString::SubString(const std::string& string,
@@ -234,21 +239,26 @@
 
     /**
-     * @brief Splits a String into multiple splitters.
-     * @param string the String to split
-     * @param delimiters multiple set of characters at what to split. (delimiters)
-     * @param delimiterNeighbours: Neighbours to the Delimiters that will be erased too.
-     * @param emptyEntries: If empty entries are added to the List of SubStrings
-     * @param escapeChar The Escape Character that overrides splitters commends and so on...
-     * @param safemode_char within these characters splitting won't happen
-     * @param comment_char the Comment character.
+     * @brief Splits a string into multiple tokens.
+     * @param string The string to split
+     * @param delimiters Multiple set of characters at what to split. (delimiters)
+     * @param delimiterNeighbours: Neighbours of the delimiters that will be erased too.
+     * @param emptyEntries: If empty entries are added to the list of SubStrings
+     * @param escapeChar The escape character that overrides splitters commends and so on...
+     * @param removeEscapeChar If true, the escape char is removed from the tokens
+     * @param safemode_char Within these characters splitting won't happen
+     * @param removeSafemodeChar Removes the safemode_char from the beginning and the ending of a token
+     * @param openparenthesis_char The beginning of a safemode is marked with this
+     * @param closeparenthesis_char The ending of a safemode is marked with this
+     * @param removeParenthesisChars Removes the parenthesis from the beginning and the ending of a token
+     * @param comment_char The comment character.
      */
     unsigned int SubString::split(const std::string& string,
                                   const std::string& delimiters, const std::string& delimiterNeighbours, bool emptyEntries,
-                                  char escapeChar, bool removeExcapeChar, char safemode_char, bool removeSafemodeChar,
+                                  char escapeChar, bool removeEscapeChar, char safemode_char, bool removeSafemodeChar,
                                   char openparenthesis_char, char closeparenthesis_char, bool removeParenthesisChars, char comment_char)
     {
         this->strings.clear();
         this->bInSafemode.clear();
-        SubString::splitLine(this->strings, this->bInSafemode, string, delimiters, delimiterNeighbours, emptyEntries, escapeChar, removeExcapeChar, safemode_char, removeSafemodeChar, openparenthesis_char, closeparenthesis_char, removeParenthesisChars, comment_char);
+        SubString::splitLine(this->strings, this->bInSafemode, string, delimiters, delimiterNeighbours, emptyEntries, escapeChar, removeEscapeChar, safemode_char, removeSafemodeChar, openparenthesis_char, closeparenthesis_char, removeParenthesisChars, comment_char);
         return this->strings.size();
     }
@@ -304,19 +314,20 @@
 
     /**
-     * @brief splits line into tokens and stores them in ret.
-     * @param ret the Array, where the Splitted strings will be stored in
-     * to the beginning of the current token is stored
-     * @param line the inputLine to split
-     * @param delimiters a String of Delimiters (here the input will be splitted)
-     * @param delimiterNeighbours Neighbours to the Delimiter, that will be removed if they are to the left or the right of a Delimiter.
-     * @param emptyEntries: if empty Strings are added to the List of Strings.
-     * @param escape_char: Escape carater (escapes splitters)
-     * @param safemode_char: the beginning of the safemode is marked with this
-     * @param removeSafemodeChar removes the safemode_char from the beginning and the ending of a token
-     * @param openparenthesis_char the beginning of a safemode is marked with this
-     * @param closeparenthesis_char the ending of a safemode is marked with this
-     * @param removeParenthesisChars removes the parenthesis from the beginning and the ending of a token
-     * @param comment_char: the beginning of a comment is marked with this: (until the end of a Line)
-     * @param start_state: the Initial state on how to parse the String.
+     * @brief Splits a line into tokens and stores them in ret.
+     * @param ret The array, where the splitted strings will be stored in
+     * @param bInSafemode A vector wich stores for each character of the string if it is in safemode or not
+     * @param line The inputLine to split
+     * @param delimiters A string of delimiters (here the input will be splitted)
+     * @param delimiterNeighbours Neighbours of the delimiter, that will be removed if they are to the left or the right of a delimiter.
+     * @param emptyEntries If empty strings are added to the list of strings.
+     * @param escape_char Escape carater (escapes splitters)
+     * @param removeEscapeChar If true, the escape char is removed from the tokens
+     * @param safemode_char The beginning of the safemode is marked with this
+     * @param removeSafemodeChar Removes the safemode_char from the beginning and the ending of a token
+     * @param openparenthesis_char The beginning of a safemode is marked with this
+     * @param closeparenthesis_char The ending of a safemode is marked with this
+     * @param removeParenthesisChars Removes the parenthesis from the beginning and the ending of a token
+     * @param comment_char The beginning of a comment is marked with this: (until the end of a line)
+     * @param start_state The initial state on how to parse the string.
      * @return SPLIT_LINE_STATE the parser was in when returning
      *
@@ -333,5 +344,5 @@
                          bool emptyEntries,
                          char escape_char,
-                         bool removeExcapeChar,
+                         bool removeEscapeChar,
                          char safemode_char,
                          bool removeSafemodeChar,
@@ -368,5 +379,5 @@
                 {
                     state = SL_ESCAPE;
-                    if (!removeExcapeChar)
+                    if (!removeEscapeChar)
                         token += line[i];
                 }
Index: /code/branches/doc/src/libraries/util/SubString.h
===================================================================
--- /code/branches/doc/src/libraries/util/SubString.h	(revision 7296)
+++ /code/branches/doc/src/libraries/util/SubString.h	(revision 7297)
@@ -115,5 +115,5 @@
         unsigned int split(const std::string& string,
                            const std::string& delimiters, const std::string& delimiterNeighbours = "", bool emptyEntries = false,
-                           char escapeChar ='\\', bool removeExcapeChar = true, char safemode_char = '"', bool removeSafemodeChar = true,
+                           char escapeChar ='\\', bool removeEscapeChar = true, char safemode_char = '"', bool removeSafemodeChar = true,
                            char openparenthesis_char = '{', char closeparenthesis_char = '}',  bool removeParenthesisChars = true, char comment_char = '\0');
         std::string join(const std::string& delimiter = " ") const;
@@ -152,5 +152,5 @@
                                           bool emptyEntries = false,
                                           char escape_char = '\\',
-                                          bool removeExcapeChar = true,
+                                          bool removeEscapeChar = true,
                                           char safemode_char = '"',
                                           bool removeSafemodeChar = true,
Index: /code/branches/doc/src/modules/notifications/Notification.cc
===================================================================
--- /code/branches/doc/src/modules/notifications/Notification.cc	(revision 7296)
+++ /code/branches/doc/src/modules/notifications/Notification.cc	(revision 7297)
@@ -55,4 +55,6 @@
     @brief
         Constructor. Creates a Notification with the input message.
+    @param creator
+        The object that created this Notification
     @param message
         The message of the Notification.
Index: /code/branches/doc/src/modules/notifications/NotificationQueue.cc
===================================================================
--- /code/branches/doc/src/modules/notifications/NotificationQueue.cc	(revision 7296)
+++ /code/branches/doc/src/modules/notifications/NotificationQueue.cc	(revision 7297)
@@ -109,17 +109,17 @@
         Method for creating a NotificationQueue object through XML.
     */
-    void NotificationQueue::XMLPort(Element& xmlElement, XMLPort::Mode mode)
-    {
-        SUPER(NotificationQueue, XMLPort, xmlElement, mode);
+    void NotificationQueue::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(NotificationQueue, XMLPort, xmlelement, mode);
 
         this->setDefaults();
 
-        XMLPortParam(NotificationQueue, "maxSize", setMaxSize, getMaxSize, xmlElement, mode);
-        XMLPortParam(NotificationQueue, "notificationLength", setNotificationLength, getNotificationLength, xmlElement, mode);
-        XMLPortParam(NotificationQueue, "displayTime", setDisplayTime, getDisplayTime, xmlElement, mode);
-        XMLPortParam(NotificationQueue, "targets", setTargets, getTargets, xmlElement, mode);
-        XMLPortParam(NotificationQueue, "font", setFont, getFont, xmlElement, mode);
-        XMLPortParam(NotificationQueue, "fontSize", setFontSize, getFontSize, xmlElement, mode);
-        XMLPortParam(NotificationQueue, "position", setPosition, getPosition, xmlElement, mode);
+        XMLPortParam(NotificationQueue, "maxSize", setMaxSize, getMaxSize, xmlelement, mode);
+        XMLPortParam(NotificationQueue, "notificationLength", setNotificationLength, getNotificationLength, xmlelement, mode);
+        XMLPortParam(NotificationQueue, "displayTime", setDisplayTime, getDisplayTime, xmlelement, mode);
+        XMLPortParam(NotificationQueue, "targets", setTargets, getTargets, xmlelement, mode);
+        XMLPortParam(NotificationQueue, "font", setFont, getFont, xmlelement, mode);
+        XMLPortParam(NotificationQueue, "fontSize", setFontSize, getFontSize, xmlelement, mode);
+        XMLPortParam(NotificationQueue, "position", setPosition, getPosition, xmlelement, mode);
 
         COUT(3) << "NotificationQueue '" << this->getName() << "' created." << std::endl;
Index: /code/branches/doc/src/modules/notifications/NotificationQueue.h
===================================================================
--- /code/branches/doc/src/modules/notifications/NotificationQueue.h	(revision 7296)
+++ /code/branches/doc/src/modules/notifications/NotificationQueue.h	(revision 7297)
@@ -93,5 +93,5 @@
             virtual ~NotificationQueue();
 
-            virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode); //!< Method for creating a NotificationQueue object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a NotificationQueue object through XML.
 
             virtual void tick(float dt); //!< To update from time to time.
Index: /code/branches/doc/src/modules/objects/Planet.cc
===================================================================
--- /code/branches/doc/src/modules/objects/Planet.cc	(revision 7296)
+++ /code/branches/doc/src/modules/objects/Planet.cc	(revision 7297)
@@ -144,10 +144,4 @@
     }
 
-    /**
-        @brief XML loading and saving.
-        @param xmlelement The XML-element
-        @param loading Loading (true) or saving (false)
-        @return The XML-element
-    */
     void Planet::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
Index: /code/branches/doc/src/modules/objects/triggers/DistanceMultiTrigger.h
===================================================================
--- /code/branches/doc/src/modules/objects/triggers/DistanceMultiTrigger.h	(revision 7296)
+++ /code/branches/doc/src/modules/objects/triggers/DistanceMultiTrigger.h	(revision 7297)
@@ -65,5 +65,5 @@
             /**
             @brief Set the target name of DistanceTriggerBeacons that triggers this DistanceMultiTrigger.
-            @param targename The name of the DistanceTriggerBeacon as a string.
+            @param targetname The name of the DistanceTriggerBeacon as a string.
             */
             inline void setTargetName(const std::string& targetname)
Index: /code/branches/doc/src/modules/objects/triggers/MultiTrigger.cc
===================================================================
--- /code/branches/doc/src/modules/objects/triggers/MultiTrigger.cc	(revision 7296)
+++ /code/branches/doc/src/modules/objects/triggers/MultiTrigger.cc	(revision 7297)
@@ -308,5 +308,5 @@
     @brief
         Get whether the MultiTrigger is active for a given object.
-    @param triggerers
+    @param triggerer
         A pointer to the object.
     @return
Index: /code/branches/doc/src/modules/overlays/FadeoutText.h
===================================================================
--- /code/branches/doc/src/modules/overlays/FadeoutText.h	(revision 7296)
+++ /code/branches/doc/src/modules/overlays/FadeoutText.h	(revision 7297)
@@ -44,5 +44,5 @@
             virtual ~FadeoutText() {}
 
-            virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
             virtual void tick(float dt);
 
Index: /code/branches/doc/src/modules/overlays/GUIOverlay.cc
===================================================================
--- /code/branches/doc/src/modules/overlays/GUIOverlay.cc	(revision 7296)
+++ /code/branches/doc/src/modules/overlays/GUIOverlay.cc	(revision 7297)
@@ -52,9 +52,9 @@
     }
 
-    void GUIOverlay::XMLPort(Element& xmlElement, XMLPort::Mode mode)
+    void GUIOverlay::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-        SUPER(GUIOverlay, XMLPort, xmlElement, mode);
+        SUPER(GUIOverlay, XMLPort, xmlelement, mode);
 
-        XMLPortParam(GUIOverlay, "guiname", setGUIName, getGUIName, xmlElement, mode);
+        XMLPortParam(GUIOverlay, "guiname", setGUIName, getGUIName, xmlelement, mode);
     }
 
Index: /code/branches/doc/src/modules/overlays/GUIOverlay.h
===================================================================
--- /code/branches/doc/src/modules/overlays/GUIOverlay.h	(revision 7296)
+++ /code/branches/doc/src/modules/overlays/GUIOverlay.h	(revision 7297)
@@ -44,5 +44,5 @@
             virtual ~GUIOverlay();
 
-            virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
             void setGUIName(const std::string& name);
Index: /code/branches/doc/src/modules/overlays/OverlayText.cc
===================================================================
--- /code/branches/doc/src/modules/overlays/OverlayText.cc	(revision 7296)
+++ /code/branches/doc/src/modules/overlays/OverlayText.cc	(revision 7297)
@@ -71,14 +71,14 @@
     }
 
-    void OverlayText::XMLPort(Element& xmlElement, XMLPort::Mode mode)
+    void OverlayText::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-        SUPER(OverlayText, XMLPort, xmlElement, mode);
+        SUPER(OverlayText, XMLPort, xmlelement, mode);
 
-        XMLPortParam(OverlayText, "font",       setFont,            getFont,            xmlElement, mode);
-        XMLPortParam(OverlayText, "colour",     setColour,          getColour,          xmlElement, mode);
-        XMLPortParam(OverlayText, "caption",    setCaption,         getCaption,         xmlElement, mode);
-        XMLPortParam(OverlayText, "textsize",   setTextSize,        getTextSize,        xmlElement, mode);
-        XMLPortParam(OverlayText, "align",      setAlignmentString, getAlignmentString, xmlElement, mode);
-        XMLPortParam(OverlayText, "spacewidth", setSpaceWidth,      getSpaceWidth,      xmlElement, mode);
+        XMLPortParam(OverlayText, "font",       setFont,            getFont,            xmlelement, mode);
+        XMLPortParam(OverlayText, "colour",     setColour,          getColour,          xmlelement, mode);
+        XMLPortParam(OverlayText, "caption",    setCaption,         getCaption,         xmlelement, mode);
+        XMLPortParam(OverlayText, "textsize",   setTextSize,        getTextSize,        xmlelement, mode);
+        XMLPortParam(OverlayText, "align",      setAlignmentString, getAlignmentString, xmlelement, mode);
+        XMLPortParam(OverlayText, "spacewidth", setSpaceWidth,      getSpaceWidth,      xmlelement, mode);
     }
 
Index: /code/branches/doc/src/modules/overlays/OverlayText.h
===================================================================
--- /code/branches/doc/src/modules/overlays/OverlayText.h	(revision 7296)
+++ /code/branches/doc/src/modules/overlays/OverlayText.h	(revision 7297)
@@ -52,5 +52,5 @@
         virtual ~OverlayText();
 
-        virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
         void setCaption(const std::string& caption);
Index: /code/branches/doc/src/modules/overlays/hud/HUDBar.cc
===================================================================
--- /code/branches/doc/src/modules/overlays/hud/HUDBar.cc	(revision 7296)
+++ /code/branches/doc/src/modules/overlays/hud/HUDBar.cc	(revision 7297)
@@ -55,10 +55,10 @@
     }
 
-    void BarColour::XMLPort(Element& xmlElement, XMLPort::Mode mode)
-    {
-        SUPER(BarColour, XMLPort, xmlElement, mode);
-
-        XMLPortParam(BarColour, "colour", setColour, getColour, xmlElement, mode);
-        XMLPortParam(BarColour, "position", setPosition, getPosition, xmlElement, mode);
+    void BarColour::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(BarColour, XMLPort, xmlelement, mode);
+
+        XMLPortParam(BarColour, "colour", setColour, getColour, xmlelement, mode);
+        XMLPortParam(BarColour, "position", setPosition, getPosition, xmlelement, mode);
     }
 
@@ -104,13 +104,13 @@
     }
 
-    void HUDBar::XMLPort(Element& xmlElement, XMLPort::Mode mode)
-    {
-        SUPER(HUDBar, XMLPort, xmlElement, mode);
-
-        XMLPortParam(HUDBar, "initialvalue", setValue,       getValue,       xmlElement, mode);
-        XMLPortParam(HUDBar, "righttoleft",  setRightToLeft, getRightToLeft, xmlElement, mode);
-        XMLPortParam(HUDBar, "autocolour",   setAutoColour,  getAutoColour,  xmlElement, mode);
-        XMLPortParam(HUDBar, "bartexture",   setBarTexture,  getBarTexture, xmlElement, mode);
-        XMLPortObject(HUDBar, BarColour, "", addColour, getColour, xmlElement, mode);
+    void HUDBar::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(HUDBar, XMLPort, xmlelement, mode);
+
+        XMLPortParam(HUDBar, "initialvalue", setValue,       getValue,       xmlelement, mode);
+        XMLPortParam(HUDBar, "righttoleft",  setRightToLeft, getRightToLeft, xmlelement, mode);
+        XMLPortParam(HUDBar, "autocolour",   setAutoColour,  getAutoColour,  xmlelement, mode);
+        XMLPortParam(HUDBar, "bartexture",   setBarTexture,  getBarTexture, xmlelement, mode);
+        XMLPortObject(HUDBar, BarColour, "", addColour, getColour, xmlelement, mode);
     }
 
Index: /code/branches/doc/src/modules/overlays/hud/HUDBar.h
===================================================================
--- /code/branches/doc/src/modules/overlays/hud/HUDBar.h	(revision 7296)
+++ /code/branches/doc/src/modules/overlays/hud/HUDBar.h	(revision 7297)
@@ -50,5 +50,5 @@
         virtual ~BarColour() { }
 
-        virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
         void setColour(const ColourValue& colour) { this->colour_ = colour; }
@@ -70,5 +70,5 @@
         virtual ~HUDBar();
 
-        virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
         void clearColours();
Index: /code/branches/doc/src/modules/overlays/hud/HUDHealthBar.h
===================================================================
--- /code/branches/doc/src/modules/overlays/hud/HUDHealthBar.h	(revision 7296)
+++ /code/branches/doc/src/modules/overlays/hud/HUDHealthBar.h	(revision 7297)
@@ -45,5 +45,5 @@
             virtual ~HUDHealthBar();
 
-            virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
             virtual void tick(float dt);
             virtual void changedOwner();
Index: /code/branches/doc/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- /code/branches/doc/src/modules/overlays/hud/HUDNavigation.cc	(revision 7296)
+++ /code/branches/doc/src/modules/overlays/hud/HUDNavigation.cc	(revision 7297)
@@ -90,11 +90,11 @@
 }
 
-void HUDNavigation::XMLPort ( Element& xmlElement, XMLPort::Mode mode )
-{
-    SUPER ( HUDNavigation, XMLPort, xmlElement, mode );
-
-    XMLPortParam ( HUDNavigation, "font",          setFont,          getFont,          xmlElement, mode );
-    XMLPortParam ( HUDNavigation, "textSize",      setTextSize,      getTextSize,      xmlElement, mode );
-    XMLPortParam ( HUDNavigation, "navMarkerSize", setNavMarkerSize, getNavMarkerSize, xmlElement, mode );
+void HUDNavigation::XMLPort ( Element& xmlelement, XMLPort::Mode mode )
+{
+    SUPER ( HUDNavigation, XMLPort, xmlelement, mode );
+
+    XMLPortParam ( HUDNavigation, "font",          setFont,          getFont,          xmlelement, mode );
+    XMLPortParam ( HUDNavigation, "textSize",      setTextSize,      getTextSize,      xmlelement, mode );
+    XMLPortParam ( HUDNavigation, "navMarkerSize", setNavMarkerSize, getNavMarkerSize, xmlelement, mode );
 }
 
Index: /code/branches/doc/src/modules/overlays/hud/HUDNavigation.h
===================================================================
--- /code/branches/doc/src/modules/overlays/hud/HUDNavigation.h	(revision 7296)
+++ /code/branches/doc/src/modules/overlays/hud/HUDNavigation.h	(revision 7297)
@@ -51,5 +51,5 @@
     void setConfigValues();
 
-    virtual void XMLPort ( Element& xmlElement, XMLPort::Mode mode );
+    virtual void XMLPort ( Element& xmlelement, XMLPort::Mode mode );
     virtual void tick ( float dt );
 
Index: /code/branches/doc/src/modules/overlays/hud/HUDRadar.cc
===================================================================
--- /code/branches/doc/src/modules/overlays/hud/HUDRadar.cc	(revision 7296)
+++ /code/branches/doc/src/modules/overlays/hud/HUDRadar.cc	(revision 7297)
@@ -82,11 +82,11 @@
     }
 
-    void HUDRadar::XMLPort(Element& xmlElement, XMLPort::Mode mode)
+    void HUDRadar::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-        SUPER(HUDRadar, XMLPort, xmlElement, mode);
+        SUPER(HUDRadar, XMLPort, xmlelement, mode);
 
-        XMLPortParam(HUDRadar, "sensitivity", setRadarSensitivity, getRadarSensitivity, xmlElement, mode);
-        XMLPortParam(HUDRadar, "halfDotSizeDistance", setHalfDotSizeDistance, getHalfDotSizeDistance, xmlElement, mode);
-        XMLPortParam(HUDRadar, "maximumDotSize", setMaximumDotSize, getMaximumDotSize, xmlElement, mode);
+        XMLPortParam(HUDRadar, "sensitivity", setRadarSensitivity, getRadarSensitivity, xmlelement, mode);
+        XMLPortParam(HUDRadar, "halfDotSizeDistance", setHalfDotSizeDistance, getHalfDotSizeDistance, xmlelement, mode);
+        XMLPortParam(HUDRadar, "maximumDotSize", setMaximumDotSize, getMaximumDotSize, xmlelement, mode);
     }
 
Index: /code/branches/doc/src/modules/overlays/hud/HUDRadar.h
===================================================================
--- /code/branches/doc/src/modules/overlays/hud/HUDRadar.h	(revision 7296)
+++ /code/branches/doc/src/modules/overlays/hud/HUDRadar.h	(revision 7297)
@@ -49,5 +49,5 @@
         virtual ~HUDRadar();
 
-        virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
         virtual void changedOwner();
 
Index: /code/branches/doc/src/modules/overlays/stats/Scoreboard.cc
===================================================================
--- /code/branches/doc/src/modules/overlays/stats/Scoreboard.cc	(revision 7296)
+++ /code/branches/doc/src/modules/overlays/stats/Scoreboard.cc	(revision 7297)
@@ -54,12 +54,4 @@
             this->lines_.pop_back();
         }
-    }
-
-    /**
-        @brief Initializes the lines.
-    */
-    void Scoreboard::XMLPort(Element& xmlElement, XMLPort::Mode mode)
-    {
-        SUPER(Scoreboard, XMLPort, xmlElement, mode);
     }
 
Index: /code/branches/doc/src/modules/overlays/stats/Scoreboard.h
===================================================================
--- /code/branches/doc/src/modules/overlays/stats/Scoreboard.h	(revision 7296)
+++ /code/branches/doc/src/modules/overlays/stats/Scoreboard.h	(revision 7297)
@@ -44,5 +44,4 @@
         virtual ~Scoreboard();
 
-        virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
         virtual void tick(float dt);
 
Index: /code/branches/doc/src/modules/overlays/stats/Stats.cc
===================================================================
--- /code/branches/doc/src/modules/overlays/stats/Stats.cc	(revision 7296)
+++ /code/branches/doc/src/modules/overlays/stats/Stats.cc	(revision 7297)
@@ -98,12 +98,4 @@
     }
 
-    /**
-        @brief Initializes the Stats panel.
-    */
-    void Stats::XMLPort(Element& xmlElement, XMLPort::Mode mode)
-    {
-        OrxonoxOverlay::XMLPort(xmlElement, mode);
-    }
-
     void Stats::tick(float dt)
     {
Index: /code/branches/doc/src/modules/overlays/stats/Stats.h
===================================================================
--- /code/branches/doc/src/modules/overlays/stats/Stats.h	(revision 7296)
+++ /code/branches/doc/src/modules/overlays/stats/Stats.h	(revision 7297)
@@ -46,6 +46,4 @@
         void setConfigValues();
 
-        virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
-
         virtual void tick(float dt);
 
Index: /code/branches/doc/src/modules/pickup/DroppedPickup.cc
===================================================================
--- /code/branches/doc/src/modules/pickup/DroppedPickup.cc	(revision 7296)
+++ /code/branches/doc/src/modules/pickup/DroppedPickup.cc	(revision 7297)
@@ -61,6 +61,6 @@
     @param pickup
         The Pickupable that was dropped.
-    @param position
-        The position at which the DroppedPickup should be created.
+    @param carrier
+        FIXME - add doc!
     @param triggerDistance
         The distance at which the PickupSpawner triggers. Default is 10.
Index: /code/branches/doc/src/modules/pickup/Pickup.cc
===================================================================
--- /code/branches/doc/src/modules/pickup/Pickup.cc	(revision 7296)
+++ /code/branches/doc/src/modules/pickup/Pickup.cc	(revision 7297)
@@ -225,6 +225,4 @@
         This method must be implemented by any class directly inheriting from Pickupable. It is most easily done by just creating a new DroppedPickup, e.g.:
         DroppedPickup(BaseObject* creator, Pickupable* pickup, const Vector3& position);
-    @param position
-        The position at which the PickupSpawner should be placed.
     @return
         Returns true if a spawner was created, false if not.
Index: /code/branches/doc/src/modules/pickup/PickupCollection.cc
===================================================================
--- /code/branches/doc/src/modules/pickup/PickupCollection.cc	(revision 7296)
+++ /code/branches/doc/src/modules/pickup/PickupCollection.cc	(revision 7297)
@@ -228,6 +228,6 @@
     @brief
         Get whether a given class, represented by the input Identifier, is a target of this PickupCollection.
-    @param identifier
-        A pointer to the PickupIdentifier of the PickupCarrier we want to know of, whether it is a target of this PickupCollection.
+    @param carrier
+        A pointer to the PickupCarrier we want to know of, whether it is a target of this PickupCollection.
     @return
         Returns true if the PickupCarrier identified by the input PickupIdentififer it is a target of this PickupCollection, false if not.
@@ -336,6 +336,4 @@
         This method must be implemented by any class directly inheriting from Pickupable. It is most easily done by just creating a new DroppedPickup, e.g.:
         DroppedPickup(BaseObject* creator, Pickupable* pickup, const Vector3& position);
-    @param position
-        The position at which the PickupSpawner should be placed.
     @return
         Returns true if a spawner was created, false if not.
Index: /code/branches/doc/src/modules/pickup/PickupCollectionIdentifier.cc
===================================================================
--- /code/branches/doc/src/modules/pickup/PickupCollectionIdentifier.cc	(revision 7296)
+++ /code/branches/doc/src/modules/pickup/PickupCollectionIdentifier.cc	(revision 7297)
@@ -99,5 +99,5 @@
     @brief
         Add a Pickupable to the PickupCollectionIdentifier.
-    @param
+    @param identifier
         A pointer to the PickupIdentifier of the Pickupable to be added.
     */
Index: /code/branches/doc/src/modules/pickup/PickupSpawner.cc
===================================================================
--- /code/branches/doc/src/modules/pickup/PickupSpawner.cc	(revision 7296)
+++ /code/branches/doc/src/modules/pickup/PickupSpawner.cc	(revision 7297)
@@ -70,5 +70,5 @@
     @param respawnTime
         The minimum time between two spawns.
-    @param maySpawnedItems
+    @param maxSpawnedItems
         The maximum number of items spawned by this PickupSpawner.
     */
Index: /code/branches/doc/src/modules/pickup/items/SpeedPickup.cc
===================================================================
--- /code/branches/doc/src/modules/pickup/items/SpeedPickup.cc	(revision 7296)
+++ /code/branches/doc/src/modules/pickup/items/SpeedPickup.cc	(revision 7297)
@@ -252,5 +252,5 @@
     @brief
         Sets the SpeedMultiply
-    @param speedAdd
+    @param speedMultiply
         The multiplied Speed
     */
Index: /code/branches/doc/src/modules/questsystem/AddQuestHint.cc
===================================================================
--- /code/branches/doc/src/modules/questsystem/AddQuestHint.cc	(revision 7296)
+++ /code/branches/doc/src/modules/questsystem/AddQuestHint.cc	(revision 7297)
@@ -80,5 +80,5 @@
     @param id
         The QuestHint id.
-    @param
+    @return
         Returns true if successful.
     */
Index: /code/branches/doc/src/modules/questsystem/Quest.cc
===================================================================
--- /code/branches/doc/src/modules/questsystem/Quest.cc	(revision 7296)
+++ /code/branches/doc/src/modules/questsystem/Quest.cc	(revision 7297)
@@ -197,5 +197,5 @@
     @brief
         Returns the subquest at the given index.
-    @param
+    @param index
         The index.
     @return
@@ -222,5 +222,5 @@
     @brief
         Returns the QuestHint at the given index.
-    @param
+    @param index
         The index.
     @return
@@ -246,5 +246,5 @@
     @brief
         Returns the fail QuestEffect at the given index.
-    @param
+    @param index
         The index.
     @return
@@ -270,5 +270,5 @@
     @brief
         Returns the complete QuestEffect at the given index.
-    @param
+    @param index
         The index.
     @return
Index: /code/branches/doc/src/modules/questsystem/QuestEffectBeacon.cc
===================================================================
--- /code/branches/doc/src/modules/questsystem/QuestEffectBeacon.cc	(revision 7296)
+++ /code/branches/doc/src/modules/questsystem/QuestEffectBeacon.cc	(revision 7297)
@@ -92,4 +92,6 @@
         Executes the QuestEffectBeacon.
         This means extracting the Pawn from the PlayerTrigger, provided by the Event causing the execution, and the extracting the PlayerInfo from the received Pawn and invoking the QuestEffectbeacon's QuestEffects on the received PlayerInfo.
+    @param b
+        true means the trigger was activated while false means it was deactivated
     @param trigger
         A pointer to the PlayerTrigger that threw the Event.
Index: /code/branches/doc/src/modules/questsystem/QuestNotification.cc
===================================================================
--- /code/branches/doc/src/modules/questsystem/QuestNotification.cc	(revision 7296)
+++ /code/branches/doc/src/modules/questsystem/QuestNotification.cc	(revision 7297)
@@ -48,4 +48,6 @@
     @brief
         Creates a QuestNotification with the input message.
+    @param creator
+        The creator of this object
     @param message
         The message to be sent.
Index: /code/branches/doc/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- /code/branches/doc/src/orxonox/controllers/ArtificialController.cc	(revision 7296)
+++ /code/branches/doc/src/orxonox/controllers/ArtificialController.cc	(revision 7297)
@@ -665,5 +665,5 @@
         @brief Master begins to follow a pawn. Is a "specific master action".
         @param pawn pawn to follow.
-        @param alaways follows pawn forever if true (false if omitted).
+        @param always follows pawn forever if true (false if omitted).
         @param secondsToFollow seconds to follow the pawn if always is false. Will follow pawn 100 seconds if omitted (set in header).
     */
Index: /code/branches/doc/src/orxonox/graphics/Light.h
===================================================================
--- /code/branches/doc/src/orxonox/graphics/Light.h	(revision 7296)
+++ /code/branches/doc/src/orxonox/graphics/Light.h	(revision 7297)
@@ -83,9 +83,10 @@
             /**
                 @brief Sets the attenuation parameters of the light source i.e. how it diminishes with distance.
+                @param attenuation The parameters of the attenuation (see description)
 
-                @param attenuation.x range (The absolute upper range of the light in world units)
-                @param attenuation.y constant (The constant factor in the attenuation formula: 1.0 means never attenuate, 0.0 is complete attenuation)
-                @param attenuation.z linear (The linear factor in the attenuation formula: 1 means attenuate evenly over the distance)
-                @param attenuation.w quadratic (The quadratic factor in the attenuation formula: adds a curvature to the attenuation formula)
+                 - @a attenuation.x range (The absolute upper range of the light in world units)
+                 - @a attenuation.y constant (The constant factor in the attenuation formula: 1.0 means never attenuate, 0.0 is complete attenuation)
+                 - @a attenuation.z linear (The linear factor in the attenuation formula: 1 means attenuate evenly over the distance)
+                 - @a attenuation.w quadratic (The quadratic factor in the attenuation formula: adds a curvature to the attenuation formula)
 
                 Quote from the Ogre API:
@@ -120,8 +121,9 @@
             /**
                 @brief Sets the range of a spotlight, i.e. the angle of the inner and outer cones and the rate of falloff between them.
-
-                @param spotlightRange.x innerAngle (The angle covered by the bright inner cone)
-                @param spotlightRange.x outerAngle (The angle covered by the outer cone)
-                @param spotlightRange.x falloff (The rate of falloff between the inner and outer cones. 1.0 means a linear falloff, less means slower falloff, higher means faster falloff.)
+                @param spotlightRange The parameters of the spotlight (see description)
+                
+                 - @a spotlightRange.x innerAngle (The angle covered by the bright inner cone)
+                 - @a spotlightRange.x outerAngle (The angle covered by the outer cone)
+                 - @a spotlightRange.x falloff (The rate of falloff between the inner and outer cones. 1.0 means a linear falloff, less means slower falloff, higher means faster falloff.)
             */
             inline void setSpotlightRange(const Vector3& spotlightRange)
Index: /code/branches/doc/src/orxonox/interfaces/Pickupable.h
===================================================================
--- /code/branches/doc/src/orxonox/interfaces/Pickupable.h	(revision 7296)
+++ /code/branches/doc/src/orxonox/interfaces/Pickupable.h	(revision 7297)
@@ -162,5 +162,4 @@
                    This method must be implemented by any class directly inheriting from Pickupable. It is most easily done by just creating a new DroppedPickup, e.g.:
                    DroppedPickup(BaseObject* creator, Pickupable* pickup, PickupCarrier* carrier, float triggerDistance);
-            @param position The position at which the PickupSpawner should be placed.
             @return Returns true if a spawner was created, false if not.
             */
Index: /code/branches/doc/src/orxonox/overlays/GUISheet.cc
===================================================================
--- /code/branches/doc/src/orxonox/overlays/GUISheet.cc	(revision 7296)
+++ /code/branches/doc/src/orxonox/overlays/GUISheet.cc	(revision 7297)
@@ -54,12 +54,12 @@
     }
 
-    void GUISheet::XMLPort(Element& xmlElement, XMLPort::Mode mode)
+    void GUISheet::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-        SUPER(GUISheet, XMLPort, xmlElement, mode);
+        SUPER(GUISheet, XMLPort, xmlelement, mode);
 
-        XMLPortParam(GUISheet, "showOnLoad",   setShowOnLoad,     getShowOnLoad,     xmlElement, mode);
-        XMLPortParam(GUISheet, "hidePrevious", setPreviousHiding, getPreviousHiding, xmlElement, mode);
-        XMLPortParam(GUISheet, "sheetName",    setSheetName,      getSheetName,      xmlElement, mode);
-        XMLPortParam(GUISheet, "backgroundImage",  setBackgroundImage,  getBackgroundImage,  xmlElement, mode);
+        XMLPortParam(GUISheet, "showOnLoad",   setShowOnLoad,     getShowOnLoad,     xmlelement, mode);
+        XMLPortParam(GUISheet, "hidePrevious", setPreviousHiding, getPreviousHiding, xmlelement, mode);
+        XMLPortParam(GUISheet, "sheetName",    setSheetName,      getSheetName,      xmlelement, mode);
+        XMLPortParam(GUISheet, "backgroundImage",  setBackgroundImage,  getBackgroundImage,  xmlelement, mode);
 
         if (this->bShowOnLoad_)
Index: /code/branches/doc/src/orxonox/overlays/GUISheet.h
===================================================================
--- /code/branches/doc/src/orxonox/overlays/GUISheet.h	(revision 7296)
+++ /code/branches/doc/src/orxonox/overlays/GUISheet.h	(revision 7297)
@@ -44,5 +44,5 @@
         ~GUISheet();
 
-        void XMLPort(Element& xmlElement, XMLPort::Mode mode);
+        void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
         void show();
Index: /code/branches/doc/src/orxonox/overlays/InGameConsole.cc
===================================================================
--- /code/branches/doc/src/orxonox/overlays/InGameConsole.cc	(revision 7296)
+++ /code/branches/doc/src/orxonox/overlays/InGameConsole.cc	(revision 7297)
@@ -454,5 +454,8 @@
     /**
         @brief Prints string to bottom line.
-        @param s String to be printed
+        @param text The string to be printed
+        @param type The type of the text, defines the color
+        @param index The index of the text overlay in which the string will be displayed
+        @param alwaysShift If true the ohter lines in the console are always shifted by one line
     */
     void InGameConsole::print(const std::string& text, Shell::LineType type, int index, bool alwaysShift)
Index: /code/branches/doc/src/orxonox/overlays/OrxonoxOverlay.cc
===================================================================
--- /code/branches/doc/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 7296)
+++ /code/branches/doc/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 7297)
@@ -126,14 +126,14 @@
         BaseObject::XMLPort()
     */
-    void OrxonoxOverlay::XMLPort(Element& xmlElement, XMLPort::Mode mode)
-    {
-        SUPER(OrxonoxOverlay, XMLPort, xmlElement, mode);
-
-        XMLPortParam(OrxonoxOverlay, "size",      setSize,      getSize,      xmlElement, mode);
-        XMLPortParam(OrxonoxOverlay, "pickpoint", setPickPoint, getPickPoint, xmlElement, mode);
-        XMLPortParam(OrxonoxOverlay, "position",  setPosition,  getPosition,  xmlElement, mode);
-        XMLPortParam(OrxonoxOverlay, "rotation",  setRotation,  getRotation,  xmlElement, mode);
-        XMLPortParam(OrxonoxOverlay, "correctaspect", setAspectCorrection,   getAspectCorrection,   xmlElement, mode);
-        XMLPortParam(OrxonoxOverlay, "background",    setBackgroundMaterial, getBackgroundMaterial, xmlElement, mode);
+    void OrxonoxOverlay::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(OrxonoxOverlay, XMLPort, xmlelement, mode);
+
+        XMLPortParam(OrxonoxOverlay, "size",      setSize,      getSize,      xmlelement, mode);
+        XMLPortParam(OrxonoxOverlay, "pickpoint", setPickPoint, getPickPoint, xmlelement, mode);
+        XMLPortParam(OrxonoxOverlay, "position",  setPosition,  getPosition,  xmlelement, mode);
+        XMLPortParam(OrxonoxOverlay, "rotation",  setRotation,  getRotation,  xmlelement, mode);
+        XMLPortParam(OrxonoxOverlay, "correctaspect", setAspectCorrection,   getAspectCorrection,   xmlelement, mode);
+        XMLPortParam(OrxonoxOverlay, "background",    setBackgroundMaterial, getBackgroundMaterial, xmlelement, mode);
     }
 
@@ -306,4 +306,6 @@
         The name of the overlay defined BaseObject::setName() (usually done with the "name"
         attribute in the xml file).
+    @param scale
+        The scaling factor
     */
     /*static*/ void OrxonoxOverlay::scaleOverlay(const std::string& name, float scale)
@@ -346,4 +348,6 @@
         The name of the overlay defined BaseObject::setName() (usually done with the "name"
         attribute in the xml file).
+    @param scroll
+        The relative translation of the overlay
     */
     /*static*/ void OrxonoxOverlay::scrollOverlay(const std::string& name, const Vector2& scroll)
@@ -360,4 +364,6 @@
         The name of the overlay defined BaseObject::setName() (usually done with the "name"
         attribute in the xml file).
+    @param angle
+        The rotation angle in degree
     */
     /*static*/ void OrxonoxOverlay::rotateOverlay(const std::string& name, const Degree& angle)
Index: /code/branches/doc/src/orxonox/overlays/OrxonoxOverlay.h
===================================================================
--- /code/branches/doc/src/orxonox/overlays/OrxonoxOverlay.h	(revision 7296)
+++ /code/branches/doc/src/orxonox/overlays/OrxonoxOverlay.h	(revision 7297)
@@ -90,5 +90,5 @@
         virtual ~OrxonoxOverlay();
 
-        virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
         virtual void changedName();
Index: /code/branches/doc/src/orxonox/overlays/OverlayGroup.cc
===================================================================
--- /code/branches/doc/src/orxonox/overlays/OverlayGroup.cc	(revision 7296)
+++ /code/branches/doc/src/orxonox/overlays/OverlayGroup.cc	(revision 7297)
@@ -71,12 +71,12 @@
         BaseObject::XMLPort()
     */
-    void OverlayGroup::XMLPort(Element& xmlElement, XMLPort::Mode mode)
-    {
-        SUPER(OverlayGroup, XMLPort, xmlElement, mode);
-
-        XMLPortParam(OverlayGroup, "scale",  setScale,  getScale,  xmlElement, mode);
-        XMLPortParam(OverlayGroup, "scroll", setScroll, getScroll, xmlElement, mode);
+    void OverlayGroup::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(OverlayGroup, XMLPort, xmlelement, mode);
+
+        XMLPortParam(OverlayGroup, "scale",  setScale,  getScale,  xmlelement, mode);
+        XMLPortParam(OverlayGroup, "scroll", setScroll, getScroll, xmlelement, mode);
         // loads all the child elements
-        XMLPortObject(OverlayGroup, OrxonoxOverlay, "", addElement, getElement, xmlElement, mode);
+        XMLPortObject(OverlayGroup, OrxonoxOverlay, "", addElement, getElement, xmlelement, mode);
     }
 
@@ -114,6 +114,6 @@
     @brief
         Removes an element from the map.
-    @param name
-        The name of the element that is removed.
+    @param element
+        A pointer to the element that is removed.
     @return
         Returns true if there was such an element to remove, false if not.
@@ -181,4 +181,6 @@
         The name of the group defined BaseObject::setName() (usually done with the "name"
         attribute in the xml file).
+    @param scale
+        The scaling factor
     */
     /*static*/ void OverlayGroup::scaleGroup(const std::string& name, float scale)
@@ -197,4 +199,6 @@
         The name of the group defined BaseObject::setName() (usually done with the "name"
         attribute in the xml file).
+    @param scroll
+        The relative translation of the overlay group
     */
     /*static*/ void OverlayGroup::scrollGroup(const std::string& name, const Vector2& scroll)
Index: /code/branches/doc/src/orxonox/overlays/OverlayGroup.h
===================================================================
--- /code/branches/doc/src/orxonox/overlays/OverlayGroup.h	(revision 7296)
+++ /code/branches/doc/src/orxonox/overlays/OverlayGroup.h	(revision 7297)
@@ -58,5 +58,5 @@
         ~OverlayGroup();
 
-        virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
         static void toggleVisibility(const std::string& name);
Index: /code/branches/doc/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- /code/branches/doc/src/orxonox/worldentities/WorldEntity.cc	(revision 7296)
+++ /code/branches/doc/src/orxonox/worldentities/WorldEntity.cc	(revision 7297)
@@ -650,6 +650,8 @@
     @brief
         Translates this WorldEntity by a vector.
+    @param distance
+        The relative distance of the translation
     @param relativeTo
-        @see WorldEntity::TransformSpace
+        The TransformSpace of this translation
     */
     void WorldEntity::translate(const Vector3& distance, TransformSpace relativeTo)
@@ -678,6 +680,8 @@
     @brief
         Rotates this WorldEntity by a quaternion.
+    @param rotation
+        The desired relative rotation
     @param relativeTo
-        @see WorldEntity::TransformSpace
+        The TransformSpace of this translation
     */
     void WorldEntity::rotate(const Quaternion& rotation, TransformSpace relativeTo)
@@ -703,6 +707,8 @@
     @brief
         Makes this WorldEntity look at a specific target location.
+    @param target
+        An absolute point in the space which defines the direction of the entity
     @param relativeTo
-        @see WorldEntity::TransformSpace
+        The TransformSpace of this translation
     @param localDirectionVector
         The vector which normally describes the natural direction of the object, usually -Z.
@@ -729,6 +735,8 @@
     @brief
         Makes this WorldEntity look in specific direction.
+    @param direction
+        A point relative to the position of the WorldEntity which defines its orientation
     @param relativeTo
-        @see WorldEntity::TransformSpace
+        The TransformSpace of this translation
     @param localDirectionVector
         The vector which normally describes the natural direction of the object, usually -Z.
@@ -773,5 +781,5 @@
     /**
     @brief
-        Sets the CollisionType. This alters the object significantly! @see CollisionType.
+        Sets the CollisionType. This alters the object significantly!
     @note
         Operation does not work on attached WorldEntities.
